Bug 522648

Summary: glyphs cut-off below "baseline" when the font size is too big
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: gtk2Assignee: Matthias Clasen <mclasen>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 19CC: ebaak, fonts-bugs, i18n-bugs, mclasen, tagoh
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-18 06:59:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
firefox.png none

Description Jens Petersen 2009-09-10 19:03:07 EDT
Description of problem:
With ipa fonts being used for Japanese desktop,
it seems the bottom of letters with parts under
the Latin "baseline" tend to get cut-off in
textboxes in Firefox.

How reproducible:
every time

Steps to Reproduce:
1. Login to rawhide Japanese gnome desktop
2. Run firefox and type "abcdefghijklmnopqrstuvwxyz" into awesome bar.
3. sudo yum install vlgothic-fonts
4. repeat (2)
  
Actual results:
2. Bottom of letters 'g', 'j', 'p', 'q', 'y' are clipped
4. Displays fine.

Expected results:
2. All the glyphs to be visible.
Comment 1 Jens Petersen 2009-09-10 19:04:26 EDT
Created attachment 360582 [details]
firefox.png
Comment 2 Jens Petersen 2009-09-11 02:02:23 EDT
So "workaround" might be just to install vlgothic-fonts
by default for Japanese desktop.
Comment 3 Akira TAGOH 2009-09-29 05:02:07 EDT
This issue has been forwarded to "upstream" and there are no way of fixing that in house (apparently fontforge is a bit buggy), I'll leave this to upstream and visit again when they have a new release in the future.
Comment 4 Akira TAGOH 2010-12-09 03:06:03 EST
Reopened and reassigning to gtk2. see https://bugzilla.gnome.org/show_bug.cgi?id=607419
Comment 5 Akira TAGOH 2010-12-09 03:07:52 EST
*** Bug 661599 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2013-04-03 16:09:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora End Of Life 2015-01-09 16:40:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 06:59:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.